Summary:     Tools for managing Linux kernel packet filtering capabilities
Name:        iptables
Version:     1.2.9
Release:     3.pp
License:     GPL
Group:       System Environment/Base
Source0:     http://www.netfilter.org/files/%{name}-%{version}.tar.bz2
Source1:     iptables.init
Source2:     ip6tables.init
Source3:     iptables-config.sysconfig
Source4:     ip6tables-config.sysconfig
Patch0:      http://www.grsecurity.net/grsecurity-1.2.8-iptables.patch
Patch1:      iptables-Makefile.patch
URL:         http://www.netfilter.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc kernel >= 2.4.26 kernel.grsec
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux

%description
The iptables utility controls the network packet filtering code
in the Linux kernel. If you need to set up firewalls and/or IP
masquerading, you should install this package.


%package ipv6
Summary:     IPv6 support for iptables
Group:       System Environment/Base
Provides:    %{name}-ipv6.pp %{name}.pp

%package devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Requires:    %{name}.pp
Provides:    %{name}-devel.pp
                                                                                                                                                            

%description ipv6
The iptables package contains IPv6 (the next version of the
IP protocol) support for iptables. Iptables controls the Linux
kernel network packet filtering code, allowing you to set up
firewalls and IP masquerading.

%description devel
The %{name}-devel package contains the static libraries and
header files for developing software using %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
make all experimental


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install install-experimental install-devel
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/iptables
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/ip6tables
install -m 0600 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/iptables-config
install -m 0600 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/ip6tables-config


%post
/sbin/chkconfig --add iptables
/sbin/chkconfig iptables on
if [ -f /var/lock/subsys/iptables ]; then
   /etc/rc.d/init.d/iptables restart
fi
                                                                                                                                                            
%post ipv6
/sbin/chkconfig --add ip6tables
/sbin/chkconfig ip6tables on
if [ -f /var/lock/subsys/ip6tables ]; then
   /etc/rc.d/init.d/ip6tables restart
fi
                                                                                                                                                            
                                                                                                                                                            
%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig iptables off
   /sbin/chkconfig --del iptables
   if [ -f /var/lock/subsys/iptables ]; then
      /etc/rc.d/init.d/iptables stop
   fi
fi

%preun ipv6
if [ $1 = 0 ]; then
   /sbin/chkconfig ip6tables off
   /sbin/chkconfig --del ip6tables
   if [ -f /var/lock/subsys/ip6tables ]; then
      /etc/rc.d/init.d/ip6tables stop
   fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING INCOMPATIBILITIES INSTALL
%attr(755,root,root) /etc/rc.d/init.d/iptables
%config(noreplace) %attr(600,root,root) /etc/sysconfig/iptables-config
/lib/iptables/libipt*
/sbin/iptables*
/usr/share/man/man8/iptables*

%files ipv6
%defattr(-,root,root)
%doc COPYING INCOMPATIBILITIES INSTALL
%attr(755,root,root) /etc/rc.d/init.d/ip6tables
%config(noreplace) %attr(600,root,root) /etc/sysconfig/ip6tables-config
/lib/iptables/libip6t*
/sbin/ip6tables*
/usr/share/man/man8/ip6tables*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*
/usr/share/man/man3/*


%changelog
* Tue May 04 2004 peter.pramberger@1012surf.net
- created

